Loading...
Searching...
No Matches
QXmppPubSubEventHandler Class Referenceabstract
Inheritance diagram for QXmppPubSubEventHandler:
[legend]

## Public Member Functions

virtual bool | handlePubSubEvent (const QDomElement &element, const QString &pubSubService, const QString &nodeName)=0

## Detailed Description

Interface for handling XEP-0060: Publish-Subscribe (PubSub) events.

Since
  QXmpp 1.5

## Member Function Documentation

## handlePubSubEvent()

virtual bool QXmppPubSubEventHandler::handlePubSubEvent | ( | const QDomElement & | element,
|  | const QString & | pubSubService,
|  | const QString & | nodeName )

pure virtual

Handles the PubSub event.

Parameters

  element | QDomElement of the <message/> stanza
  pubSubService | JID of the PubSub service (if the message's 'from' attribute is empty then the user's bare JID is used here since QXmpp 1.13)
  nodeName | Name of the PubSub node on the service

Returns
  Whether the event has been handled and should not be handled by other event handlers.

Implemented in QXmppMucManagerV2.

The documentation for this class was generated from the following files:

- QXmppPubSubEventHandler.h
- QXmppPubSubManager.cpp